#include <bits/stdc++.h>
using namespace std;

long long ans[10];
const int MAX_N =500000;
int p_sum[MAX_N];
void clear_p(){
    for(int i=0; i<MAX_N; i++)
        p_sum[i] = 0;
}

int main(){
    int n, q, t, x;
    cin>>n;
    for(int i=0; i<n; i++){
        clear_p();
        ans[i] = 0;
        cin>>t>>q;
        for(int j=0; j<t; j++){
            cin>>x;
            if(j==0)
                p_sum[0] = x;
            else
                p_sum[j] = p_sum[j-1] + x;
        }
        for(int j=0; j<t; j++){
            for(int k=j; k<t; k++){
                if((p_sum[k] - (j>0 ? p_sum[j-1] : 0)) * q >= (k-j+1) * 100)
                    ans[i]++;
            }
        }
    }
    for(int i=0; i<n; i++){
        cout<<ans[i]<<' ';
    }
}
